package router

import (
	"clickandjoin.app/storageserver/routers/routes/v1/user"
	"github.com/gofiber/fiber/v2"
)

func SetupRoutes(app *fiber.App) {
	v1 := app.Group("/v1")
	v1.Get("/avatars/:userId/:fileName", user.GetAvatar)

	u := v1.Group("/user")
	u.Post("/avatar", user.UpdateAvatar)
}
